package pwc.taxtech.atms.vat.entity;

import java.math.BigDecimal;

public class PCTEntity {
    Integer period;
    Long cellTemplateId;
    BigDecimal data;

    public PCTEntity() {
    }

    public PCTEntity(String pctStr) {
        String[] pct = pctStr.split(":");
        this.period = Integer.parseInt(pct[0]);
        this.cellTemplateId = Long.parseLong(pct[1]);
    }

    @Override
    public int hashCode() {
        return (period + "" + cellTemplateId).hashCode();
    }

    @Override
    public boolean equals(Object obj) {
        PCTEntity target = (PCTEntity) obj;
        return period.intValue() == target.period.intValue()
                && cellTemplateId.longValue() == target.cellTemplateId.longValue();
    }

    public Integer getPeriod() {
        return period;
    }

    public void setPeriod(Integer period) {
        this.period = period;
    }

    public Long getCellTemplateId() {
        return cellTemplateId;
    }

    public void setCellTemplateId(Long cellTemplateId) {
        this.cellTemplateId = cellTemplateId;
    }

    public BigDecimal getData() {
        return data;
    }

    public void setData(BigDecimal data) {
        this.data = data;
    }
}
